import pandas as pd

df = pd.read_csv('backdoor_banana_blended_blended_595375_3000_label_scores.csv')
scores = df['scores'].tolist()
detected = 3155
max_num_index_list = sorted(range(len(scores)), key=lambda i: scores[i])[-detected:]
tp = 0
for i in max_num_index_list:
    if i <= 2999:
        tp += 1
print(f"3000 poisoned in total, detected {detected}, true positive: {tp}")
